package csbase.algorithms.flows.actions;

import java.awt.event.ActionEvent;

import csbase.algorithms.flows.FlowApplication;

/**
 * Ao de atualizar a rvore de algoritmos do construtor de fluxos.
 */
public class UpdateAlgorithmTreeAction extends FlowApplicationAction {
  /**
   * Cria uma ao.
   * 
   * @param application A aplicao.
   */
  public UpdateAlgorithmTreeAction(FlowApplication application) {
    super(application, UpdateAlgorithmTreeAction.class.getName() + ".name",
      null);
  }

  /**
   * {@inheritDoc}
   */
  public void actionPerformed(ActionEvent e) {
    getApplication().reloadAlgorithmTree();
  }

}
