package csbase.algorithms.flows.messages;

import csbase.algorithms.flows.graph.GraphElement;

import tecgraf.javautils.vix.Message;

import java.awt.geom.Point2D;

public final class PickElementMessage extends Message {
  private Point2D point;
  private GraphElement element;

  public PickElementMessage(Point2D pt) {
    this.point = (Point2D)pt.clone();
  }

  public Point2D getPoint() {
    return (Point2D)this.point.clone();
  }

  public GraphElement getElement() {
    return this.element;
  }

  public void setElement(GraphElement element) {
    this.element = element;
  }
}
