/*
 * $Author:$ $Date:$ $Release:$
 */
package csbase.client.algorithms.parameters.validators;



/**
 * Validador do 
 * {@link csbase.logic.algorithms.parameters.OutputFileParameter 
 * Parmetro do Tipo Arquivo de Sada}.
 *
 * @author lmoreira
 */
public final class OutputFileParameterValidator extends FileParameterValidator {
  /**
   * Cria um validador de arquivo.
   * 
   * @param optional Indica se o valor  opcional {@code true} ou obrigatrio
   *        {@code false}.
   */
  public OutputFileParameterValidator(boolean optional) {
    super(optional, false);
  }
}

