package csbase.client.applications.fileexchanger.actions;

import javax.swing.ImageIcon;

import csbase.client.applications.ApplicationImages;
import csbase.client.applications.fileexchanger.FileExchanger;
import csbase.client.applications.fileexchanger.actions.core.FileExchangerAction;

/**
 * Ao de importao.
 * 
 * @author Tecgraf/PUC-Rio
 */
public class ImportAction extends FileExchangerAction {

  /**
   * {@inheritDoc}
   */
  @Override
  public void actionDone() throws Exception {
    final FileExchanger fileExchanger = getFileExchanger();
    fileExchanger.importToDirectory(null, null);
  }

  /**
   * {@inheritDoc}
   */
  @Override
  public ImageIcon getStandardImageIcon() {
    return ApplicationImages.ICON_IMPORT_16;
  }

  /**
   * Construtor
   * 
   * @param fileExchanger a aplicao.
   */
  public ImportAction(FileExchanger fileExchanger) {
    super(fileExchanger);
  }
  
}
