package csbase.client.desktop;


/**
 * A classe <code>LocalTask</code> modela uma tarefa integralmente executada
 * no cliente (i.e., no envolve chamadas a mtodos remotos). As excees que
 * representam falhas na execuo de chamadas remotas so tratadas, exibindo-se
 * mensagens de erro para o usurio. Tambm  tratada a interrupo da tarefa,
 * resultante de um cancelamento comandado pelo usurio.
 * 
 * @param <R> A classe do resultado da tarefa.
 */
public abstract class LocalTask<R> extends Task<R> {

}
