/*
 * Created on Jun 18, 2004
 */
package csbase.client.project.action;

import java.awt.event.ActionEvent;

import tecgraf.javautils.LNG;
import csbase.client.project.ProjectFileContainer;

/**
 * Ao de "paste" de {@link ProjectFileContainer} na rvore de projetos.
 * 
 * @author Tecgraf/PUC-Rio
 */
public class CommonFilePasteAction extends CommonProjectAction {

  /**
   * Construtor.
   * 
   * @param container
   */
  public CommonFilePasteAction(ProjectFileContainer container) {
    super(container);
  }

  /**
   * {@inheritDoc}
   */
  @Override
  public void actionPerformed(ActionEvent e) {
    startPasteAction();
  }

  /**
   * {@inheritDoc}
   */
  @Override
  public String getName() {
    return LNG.get("PRJ_PASTE");
  }

}
