/*
 * $Id: DirectorySortExtAction.java 68743 2007-10-08 19:47:07Z clinio $
 */
package csbase.client.project.action;

import csbase.client.project.ProjectTreeNodeExtensionComparator;
import csbase.client.project.ProjectTree;

import java.awt.event.ActionEvent;

import tecgraf.javautils.LNG;

/**
 * Ao que cria um diretrio.
 * 
 * @author Tecgraf/PUC-Rio
 */
public class DirectorySortExtAction extends ProjectAction {

  /**
   * {@inheritDoc}
   */
  @Override
  final public void actionPerformed(ActionEvent e) {
    final ProjectTree tree = getProjectTree();
    tree.setComparator(ProjectTreeNodeExtensionComparator.getInstance());
  }

  /**
   * {@inheritDoc}
   */
  @Override
  final public String getName() {
    return LNG.get("PRJ_SORT_DIR_EXT");
  }

  /**
   * Constri a ao.
   * 
   * @param treeView a view
   */
  public DirectorySortExtAction(final ProjectTree treeView) {
    super(treeView);
  }
}
