/*
 * $Id: CommandInfoFilter.java 101015 2010-01-25 19:32:39Z clinio $
 */

package csbase.logic.algorithms.commands;

import csbase.logic.CommandInfo;

/**
 * Filtro de informativo de comandos.
 * 
 * @author Tecgraf/PUC-Rio
 */
public interface CommandInfoFilter {

  /**
   * Verifica se um comando  aceito.
   * 
   * @param commandInfo o comando (No aceita {@code null}).
   * 
   * @return {@code true} aceito ou {@code false} descartado.
   */
  public boolean accept(CommandInfo commandInfo);
}
