/*
 * $Id: CommandPropertiesFilter.java 101015 2010-01-25 19:32:39Z clinio $
 */
package csbase.logic.algorithms.commands;

import csbase.logic.CommandInfo;

/**
 * Filtro para comandos.
 */
public interface CommandPropertiesFilter {

  /**
   * Verifica se um comando  aceito.
   * 
   * @param commandInfo As informaes do comando (No aceita {@code null}).
   * 
   * @return {@code true} aceito ou {@code false} descartado.
   */
  public boolean accept(CommandInfo commandInfo);
}
