package csbase.logic.algorithms.parameters;

/**
 * Observador de Parmetro do Tipo Lista de Arquivos de Entrada.
 *
 * @author lmoreira
 */
public interface InputFileListParameterListener {
  /**
   * Indica que houve mudana no tipo de arquivo aceito pelo parmetro.
   * 
   * @param parameter O parmetro (No aceita {@code null}).
   */
  void fileTypeWasChanged(InputFileListParameter parameter);
}
