/*
 * $Id: AppPropertyResourceBundle.java 93304 2009-07-03 21:17:19Z clinio $
 */
package csbase.logic.applicationservice;

import java.io.InputStream;
import java.util.PropertyResourceBundle;
import java.util.ResourceBundle;

/**
 * Esta classe s existe pois precisa-se exportar o mtodo
 * <code>setParent</code> (que  protected na classe original).
 * 
 * @author Tecgraf/PUC-Rio
 */
public class AppPropertyResourceBundle extends PropertyResourceBundle {

  /**
   * Mtodo para publicar ajuste do bundle-pai que em
   * <code>PropertyResourceBundle</code>  protected.
   * 
   * @param parent o bundle.
   */
  @Override
  public void setParent(final ResourceBundle parent) {
    super.setParent(parent);
  }

  /**
   * Construtor padro.
   * 
   * @param stream o stream de entrada.
   * @throws java.io.IOException se houver priblemas no I/O.
   */
  public AppPropertyResourceBundle(final InputStream stream)
    throws java.io.IOException {
    super(stream);
  }
}
