package csbase.server.services.eventlogservice;

import csbase.remote.EventLogServiceInterface;

import csbase.server.Service;
import csbase.exception.*;

public class EventLogServiceProxy extends csbase.server.ServiceProxy implements EventLogServiceInterface {

public EventLogServiceProxy(java.lang.Object param_0) throws java.rmi.RemoteException {
  super(param_0);
}

public boolean addInformation(java.lang.String[] param_0, java.lang.String[] param_1) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return EventLogService.getInstance().addInformation(param_0, param_1);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public boolean isAlive() throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return EventLogService.getInstance().isAlive();
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}
}