package csbase.client.algorithms.parameters;

import csbase.client.kernel.ClientException;
import csbase.logic.algorithms.parameters.FileParameterMode;
import csbase.logic.algorithms.parameters.FileParameterPipeAcceptance;
import csbase.logic.algorithms.parameters.OutputFileParameter;

public final class OutputFileParameterViewTest {
  public static final void main(String[] args) throws ClientException {
    OutputFileParameter outputFileParameter =
      new OutputFileParameter("OUT", "Arquivo de sada",
        "Parmetro do tipo arquivo de sada. Obrigatrio. Tipo texto.", false,
        "{0} {1}", "TEXT", FileParameterMode.REGULAR_FILE,
        FileParameterPipeAcceptance.TRUE, false);
    new ParameterViewTester(outputFileParameter).test();
  }
}
