package csbase.logic.algorithms.parameters;

/**
 * Coluna Mock.
 * 
 * @author lmoreira
 */
public final class MockColumn extends BasicColumn<Object> {
  /**
   * Cria uma coluna Mock.
   * 
   * @param id O identificador da coluna (No aceita {@code null}).
   * @param label O rtulo da coluna (No aceita {@code null}).
   * @param defaultValue O valor-padro (Aceita {@code null}).
   * @param isOptional Indica se o valor da clula  opcional.
   * @param isEditable Indica se a coluna  editvel.
   */
  public MockColumn(String id, String label, Object defaultValue, 
    boolean isOptional, boolean isEditable) {
    super(id, label, defaultValue, isOptional, isEditable);
  }
  
  @Override
  public Object getItemValueFromText(String itemValue) {
    return itemValue;
  }
}
