package csbase.client.applications;

import java.awt.event.ActionEvent;

import javax.swing.Action;

import runner.LNG;

/**
 * @author Tecgraf/PUC-Rio
 */
public class ApplicationExitAction extends ApplicationAction<Application> {

  /**
   * Construtor padro.
   * 
   * @param application a aplicao
   */
  public ApplicationExitAction(final Application application) {
    super(application);
    putValue(Action.NAME, LNG.get("ApplicationExitAction.title"));
    putValue(Action.SMALL_ICON, ApplicationImages.ICON_EXIT_16);
  }

  /**
   * {@inheritDoc}
   */
  @Override
  public void actionPerformed(final ActionEvent ae) {
    final Application application = getApplication();
    application.closeApplication();
  }
}
