package csfs.client;

import java.util.Arrays;

import org.omg.CORBA.ORB;
import csfs.remote.RemoteFile;
import csfs.remote.FileServer;
import csfs.remote.FileServerHelper;
import csfs.remote.ServerException;

/**
 * A classe <class>ClientCorbaloc</class> foi desenvolvida para testes manuais
 * e no  utilizada usualmente pelo sistema.
 * 
 * @version 1.0 27 Jun 2005
 * @author Marcelo Nery dos Santos
 */
public class ClientCorbaloc {

  public static void main(String args[]) {

    try {
      ORB orb = ORB.init(args, null);
      // String corbaloc1 =
      // "corbaloc::1.2@192.168.254.12:10000/standardImplName/FileServerPOA/FileServer";
      String corbaloc1 = "corbaloc::1.2@10.0.16.150:10000/standardImplName/FileServerPOA/FileServer";
      org.omg.CORBA.Object obj1 = orb.string_to_object(corbaloc1);
      FileServer fileServer1 = FileServerHelper.narrow(obj1);
      System.out.println(fileServer1.getProperty("ROOT_DIR"));
      RemoteFile root1 = fileServer1.getRoot();

      RemoteFile src = root1
        .getChild(new String[] { "sd_128MB_16_09_2004.zip.108036107" });
      // RemoteFile dst = root1.createFile(new String[]{"out"});
      // src.copyTo(dst,"NON_BLOCKING_NIO");

    }
    catch (Exception ex) {
      System.out.println(ex.getMessage());
      ex.printStackTrace();
      if (ex instanceof ServerException) {
        System.out.println("\nmessage=" + ((ServerException) ex).message);
      }
    }

  }
}
