package csfs.client;

import java.io.BufferedReader;
import java.io.FileReader;

import org.omg.CORBA.ORB;

import csfs.remote.FileServer;
import csfs.remote.FileServerHelper;
import csfs.remote.RemoteFile;

/**
 * A classe <class>ClientIORFile</class> foi desenvolvida para testes manuais e
 * no  utilizada usualmente pelo sistema.
 * 
 * @version 1.0 27 Jun 2005
 * @author Marcelo Nery dos Santos
 */
public class ClientIORFile {

  public void go(String args[]) {
    try {
      ORB orb = ORB.init(args, null);

      BufferedReader br = new BufferedReader(new FileReader(args[0]));
      org.omg.CORBA.Object obj = orb.string_to_object(br.readLine());
      br.close();
      FileServer fileServer = FileServerHelper.narrow(obj);
      fileServer.getRoot().createDirectory(
        new String[] { "dummyDir", "..", "bla" });
      System.out.println(fileServer.getProperty("ROOT_DIR"));

    }
    catch (Exception ex) {
      ex.printStackTrace();
    }
  }

  public static void main(String args[]) {
    new ClientIORFile().go(args);

  }
}
