package csfs.client;

/**
 * 
 * Define a itnerface para a realizacao dos testes de desempenho no acesso
 * aleatorio. Usada para homogeneizar as operacoes dadas por
 * java.io.RandomAccessFile e csfs.remote.RandomAccessChannel
 * 
 */
public interface RandomAccessWrapper {

  public void seek(long l) throws Exception;

  public byte[] getBuffer();

  public int read(int offset, int len) throws Exception;

  public long length() throws Exception;

}
