package csfs.impl;

import org.omg.CORBA.ORB;
import java.io.BufferedReader;
import java.io.FileReader;
import csfs.remote.RemoteFile;
import csfs.remote.FileServer;
import csfs.remote.FileServerHelper;
import csfs.remote.FileNotFoundException;

/**
 * A classe <class>ClientIORFile</class> foi desenvolvida para testes manuais e
 * no  utilizada usualmente pelo sistema.
 * 
 * @version 1.0 27 Jun 2005
 * @author Marcelo Nery dos Santos
 */
public class ClientIORFile {

  public static void main(String args[]) {

    try {
      ORB orb = ORB.init(args, null);

      BufferedReader br1 = new BufferedReader(new FileReader(args[0]));
      org.omg.CORBA.Object obj1 = orb.string_to_object(br1.readLine());
      br1.close();
      FileServer fileServer1 = FileServerHelper.narrow(obj1);

      // add something here!

      fileServer1.shutdown();

    }
    catch (Exception ex) {
      ex.printStackTrace();
    }

  }
}
