package csfs.impl.util;

import csfs.impl.util.SystemProperties;

import jni.systemexec.SystemExec;

/**
 * Essa classe utiliza um codigo JNI para realizar uma chamada a funcao
 * "system()" do LINUX para executar um comando externo a JVM. Com a nova versao
 * de Java (1.5), recomendo a utilizacao de um codigo portavel (que nao dependa
 * de JNI).
 */
public class RunFTPClient {

  public static void copy(String destination, int port, String sourceFile,
    String targetFile) {
    SystemExec runner = new SystemExec();
    String dir = SystemProperties.getProperty("ROOT_DIR");
    String ftpBinaryPath = SystemProperties.getProperty("FTP_CLIENT_BINARY");
    String cmd = "cd " + dir + " ; " + ftpBinaryPath + " -c "
      + "\"open ftp://anonymous:ftp@" + destination + ":" + port + "/ ; put "
      + sourceFile + " -o " + targetFile + " ; bye\" >& /dev/null";
    System.out.println("WILL RUN:" + cmd);
    runner.exec(cmd);
  }
}
