package jni.precisionclock;

public class PrecisionChronometerTest {

  public static void main(String[] args) throws Exception {

    PrecisionChronometer chrono = new PrecisionChronometer();
    Object obj = new Object();
    long elapsedTime;

    synchronized (obj) {
      chrono.reset();
      obj.wait(0, 5000);
      elapsedTime = chrono.elapsedTime();
      System.out.println("Tried to sleep 5 microseconds, slept: " + elapsedTime
        + " us");

      chrono.reset();
      obj.wait(5000);
      elapsedTime = chrono.elapsedTime();
      System.out.println("Tried to sleep 5000000 microseconds, slept: "
        + elapsedTime + " us");
    }
  }

}
