package csgrid.test.unit.service.othervm;

import csbase.logic.algorithms.parameters.ParameterGroupTest;
import junit.framework.TestSuite;
import junit.framework.Test;

/**
 * Esta classe representa o conjunto de todos os TestCases criados para os
 * servios do CSGrid. Cada test case ir testar servios de um servidor
 * remoto, que executa em outra maquina virtual.
 */
public class CSGridTestSuiteOVM extends TestSuite {

  /**
   * Inclui os suites de teste no ambiente de duas mquinas virtuais.
   * 
   * @return
   */
	public static Test allTestCases() {
		TestSuite suite = new TestSuite();
    // Teste do cliente includo neste suite por enquanto que no temos
    // um teste de servio.
    suite.addTestSuite(ParameterGroupTest.class);
		return suite;
	}

  /**
   * Faz a inicializao do testes no ambiente de duas mquinas virtuais.
   * 
   * @return
   */
	public static Test suite() {
		return new CSGridTestSetupOVM(allTestCases());
	}
}
