# $Id: config.mak 100473 2010-01-07 17:23:52Z clinio $

PROJNAME = csbase
APPNAME  = sgad

# Com a definio de WITH_LUA, no  necessrio compilar os arquivos .lua
DEFINES = WITH_LUA
#SRCLUA = sga-daemon.lua   \
#         sga-services.lua \
#         sga-command.lua  \
#         main.lua \
#         compat-5.1.lua

INCLUDES += . ${OILINC} ${LUASOCKET2INC}
LDIR += ${OILLIB} ${LUASOCKET2LIB}

SRC = sgad.cpp
EXPCFG = sgad-cnf.lua sgad-cnfavc.lua sga-daemon

ifeq "$(TEC_SYSNAME)" "Win32"
  APPTYPE=console

  SRC += sgaWindows.cpp
# LDIR +=  $(LUALIB)
  LIBS += oilall luasocket wsock32
else
  SLIB += $(OILLIB)/liboilall.a $(LUASOCKET2LIB)/libluasocket.a
# LIBS += oilall luasocket
  LIBS += dl
  ifeq "$(TEC_UNAME)" "Linux24PBS"
    SRC += sgaLinuxPBS.cpp
  else
    ifeq "$(TEC_UNAME)" "Linux24g3PBS"
      SRC += sgaLinuxPBS.cpp
    else
      ifeq "$(TEC_UNAME)" "Linux24g3_64PBS"
        SRC += sgaLinuxPBS.cpp
      else
        ifeq "$(TEC_UNAME)" "Linux26PBS"
          SRC += sgaLinuxPBS.cpp
        else
          ifeq "$(TEC_UNAME)" "Linux26_64PBS"
            SRC += sgaLinuxPBS.cpp
          else
            SRC += sgaUnix.cpp
          endif
        endif
      endif
    endif
  endif
endif

ifeq "$(TEC_SYSNAME)" "Linux"
  LFLAGS += -static
endif

ifeq "$(TEC_UNAME)" "IRIX6465"
#   CPPC = CC
#   STDFLAGS = -LANG:std -OPT:Olimit_opt=on -G 4 -LANG:ansi-for-init-scope -woff 1682,1110,1116,1014,1681 
endif

ifeq "$(TEC_UNAME)" "AIX43"
  CFLAGS += -g
#  LDIR += $(GCC_EXEC_PREFIX)
#  LFLAGS += -Wl,-brtl,-bbigtoc
#  LFLAGS += -Bstatic
endif

ifeq "$(TEC_SYSNAME)" "SunOS"
  LIBS += socket nsl
  LFLAGS += -static-libgcc
endif

ifeq "$(CC)" "g++"
   CPPFLAGS += -ftemplate-depth-42 -fpermissive $(INCS) 
endif

USE_RCS = Yes
USE_LUA51 = Yes
USE_STATIC = Yes
