#!/bin/env lua5

dofile('../../../../../../lua/algorithms/shellExtension.lua')

-- Altera o ttulo da janela de execuo.
setWinTitle("zip")

local input, errorMsg = getParameterValue(arg, 'ENTRADA') 
assert(errorMsg == nil, errorMsg)

local ouput 
output, errorMsg = getParameterValue(arg, 'SAIDA') 
assert(errorMsg == nil, errorMsg)

local inputTable = toStringArray(input)
local commonInPath, fileTable  = getCommonPath(inputTable)
assert(commonInPath, 
  "Nao foi possivel obter o caminho comum a todos os arquivos")

local filesIn = ""
for i=1, #fileTable do
  filesIn = filesIn.." "..fileTable[i]
end

-- obtem o path da saida com relacao ao path comun
local outputRelPath = findRelativePath(commonInPath, output)
assert(outputRelPath, "Falha na obtencao do caminho relativo")

--remove o zip se ele existir e em seguida, cria um vazio
fileRemove(output)
local outFile = fileOpen(output, "w")
outFile:close()

-- Vai para o diretorio comum
chdir(commonInPath)

setWinTitle("zip - "..output)
assert(execCmdLine(SHELL_SH, "zip -r", nil,  outputRelPath, filesIn),
 "Falha na execucao do comando") 

