/*
 * $Author: isabella $
 * $Release$
 * $Date: 2009-07-27 15:05:49 -0300 (Mon, 27 Jul 2009) $
 */
package csbase.algorithms.flows.actions;

import java.awt.event.ActionEvent;

import csbase.algorithms.flows.FlowApplication;
import csbase.client.applications.ApplicationImages;

/**
 * <p>
 * Ao fechar grafo.
 * </p>
 * <p>
 *  uma ao para facilitar o uso do mtodo
 * {@link FlowApplication#closeGraph() }
 * </p>
 */
public final class CloseAction extends FlowApplicationAction {
  /**
   * Cria uma ao.
   * 
   * @param application A aplicao.
   */
  public CloseAction(FlowApplication application) {
    super(
      application, CloseAction.class.getName() + ".name",
      ApplicationImages.ICON_CLOSE_16);
  }

  /**
   * {@inheritDoc}
   */
  public void actionPerformed(ActionEvent e) {
    getApplication().closeGraph();
  }
}
