package csbase.algorithms.flows.actions;

import java.awt.event.ActionEvent;

import csbase.algorithms.flows.FlowApplication;
import csbase.client.applications.ApplicationImages;

/**
 * <p>
 * Ao salvar grafo.
 * </p>
 * <p>
 * Ao que facilita o uso do mtodo {@link FlowApplication#saveGraph()}.
 * </p>
 */
public final class SaveAction extends FlowApplicationAction {
  /**
   * Cria uma ao.
   * 
   * @param application A aplicao.
   */
  public SaveAction(FlowApplication application) {
    super(
      application, SaveAction.class.getName() + ".name",
      ApplicationImages.ICON_SAVE_16);
  }

  /**
   * {@inheritDoc}
   */
  public void actionPerformed(ActionEvent ev) {
    getApplication().saveGraph();
  }
}
