/*
 * $Author:$ $Date:$ $Release:$
 */
package csbase.client.algorithms.parameters.validators;


/**
 * Validador do 
 * {@link csbase.logic.algorithms.parameters.InputFileParameter 
 * Parmetro do Tipo Arquivo de Entrada}.
 *
 * @author lmoreira
 */
public final class InputFileParameterValidator extends FileParameterValidator {
  /**
   * Cria um validador de arquivo.
   * 
   * @param optional Indica se o valor  opcional {@code true} ou obrigatrio
   *        {@code false}.
   */
  public InputFileParameterValidator(boolean optional) {
    super(optional, true);
  }
}
