/*
 * $Id: ApplicationException.java 65980 2007-08-01 17:21:02Z clinio $
 */
package csbase.client.applicationmanager;

/**
 * Excees de aplicao
 * 
 * @author Tecgraf/PUC-Rio
 */
public final class ApplicationException extends Exception {
  
  /**
   * Construtor vazio
   */
  public ApplicationException() {
    super();
  }

  /**
   * Construtor
   * 
   * @param message mensagem
   */
  public ApplicationException(String message) {
    super(message);
  }

  /**
   * Construtor
   * 
   * @param cause causa
   */
  public ApplicationException(Throwable cause) {
    super(cause);
  }

  /**
   * Construtor
   * 
   * @param message mensagem
   * @param cause causa
   */
  public ApplicationException(String message, Throwable cause) {
    super(message, cause);
  }
}
