package csbase.client.applications.fileexchanger.actions;

import csbase.client.applications.fileexchanger.FileExchanger;
import csbase.client.applications.fileexchanger.actions.core.FileExchangerAction;

/**
 * @author Tecgraf/PUC-Rio
 */
public class ClearEndedAction extends FileExchangerAction {

  /**
   * {@inheritDoc}
   */
  @Override
  public void actionDone() throws Exception {
    final FileExchanger fileExchanger = getFileExchanger();
    fileExchanger.clearEndedExchanges();
  }
  
  /**
   * Construtor
   * 
   * @param fileExchanger a aplicao.
   */
  public ClearEndedAction(final FileExchanger fileExchanger) {
    super(fileExchanger);
  }
}
