package csbase.client.applications.fileexchanger.actions;

import csbase.client.applications.fileexchanger.FileExchanger;
import csbase.client.applications.fileexchanger.actions.core.FileExchangerAction;

/**
 * Ao para alternar visibilidade do painel de detalhes...
 * 
 * @author Tecgraf/PUC-Rio
 */
public class ToggleDetailVisibilityAction extends FileExchangerAction {

  /**
   * {@inheritDoc}
   */
  @Override
  public void actionDone() throws Exception {
    final FileExchanger fileExchanger = getFileExchanger();
    final boolean isVisible = fileExchanger.isDetailVisible();
    fileExchanger.setDetailVisible(!isVisible);
  }

  /**
   * Construtor
   * @param fileExchanger aplicao
   */
  public ToggleDetailVisibilityAction(FileExchanger fileExchanger
    ) {
    super(fileExchanger);
  }
}
