package csbase.client.applications.fileexchanger.exceptions;

import csbase.client.applications.fileexchanger.FileExchangerUI;

/**
 * Exceo para nomes invlidos de arquivos e de diretrios.
 * 
 * @author Tecgraf
 */
public class ChildInvalidNameException extends Exception {

  /**
   * Mensagem da exceo.
   */
  private String message;

  /**
   * Construtor
   * 
   * @param message Messagem a ser adicionada
   */
  public ChildInvalidNameException(final String message) {
    String[] arg = new String[] { message };
    this.message = FileExchangerUI.getString(getClass(), "message", arg);
  }

  /**
   * {@inheritDoc}
   */
  @Override
  public String getMessage() {
    return message;
  }

  /**
   * Define a mensagem da exceo
   * 
   * @param message mensagem
   */
  public void setMessage(final String message) {
    this.message = message;
  }

}
