/*
 * $Id: UpLocalDirectoryAction.java 88758 2009-02-27 21:57:35Z clinio $
 */

/**
 * 
 */
package csbase.client.applications.filetransferclient.actions;

import javax.swing.ImageIcon;
import javax.swing.JComponent;

import csbase.client.applications.filetransferclient.FileTransferClient;
import csbase.client.applications.filetransferclient.actions.core.FileTransferClientAction;
import csbase.client.applications.filetransferclient.panels.localpanel.FileTransferClientLocalPanel;
import csbase.logic.ProjectFile;

/**
 * @author admin
 * 
 */
public class UpLocalDirectoryAction extends FileTransferClientAction {

  /**
   * {@inheritDoc}
   */
  @Override
  public void actionDone(final JComponent component) {
    final FileTransferClient app = getApplication();
    final FileTransferClientLocalPanel localPanel = app.getLocalPanel();
    final ProjectFile localDir = localPanel.getLocalDirectory();
    if (localPanel.isRootDirectory(localDir))
      return;
    final ProjectFile parent = localDir.getParent();
    localPanel.setLocalDirectory(parent);
  }

  /**
   * {@inheritDoc}
   */
  @Override
  public ImageIcon getStandardImageIcon() {
    return null;
  }

  /**
   * Construtor
   * 
   * @param application aplicao
   */
  public UpLocalDirectoryAction(final FileTransferClient application) {
    super(application);
  }
}
