package csbase.client.ias.algorithm;

import java.awt.Window;

import javax.swing.JTree;

import csbase.client.applications.algorithmsmanager.versiontree.Mode;

@Deprecated
public abstract class AlgorithmManagementCommonTree extends JTree {

  private Window owner;
  private Mode mode;

  /**
   * Construtor.
   * 
   * @param owner janela que criou a rvore.
   */
  public AlgorithmManagementCommonTree(Window owner) {
    super();
    this.owner = owner;
    this.mode = getDefaultMode();
  }

  /**
   * Obtm o modo em que esta rvore est trabalhando.
   * 
   * @return o modo em que esta rvore est trabalhando.
   */
  public Mode getMode() {
    return this.mode;
  }

  /**
   * Obtm a janela que criou a rvore.
   * 
   * @return a janela que criou a rvore
   */
  public Window getOwner() {
    return owner;
  }

  /**
   * Verifica se esta rvore contm um determinado n.
   * 
   * @param nodeName nome do n procurado
   * 
   * @return retorna true, se essa rvore contm o n, caso contrrio, retorna
   *         false
   */
  public abstract boolean contains(String nodeName);

  /**
   * Obtm o modo de funcionamento da rvore.
   * 
   * @return o modo de funcionamento da rvore.
   */
  public abstract Mode getDefaultMode();

}
