/*
 * $Id: CommonDirectoryCreationAction.java 68787 2007-10-09 19:49:01Z clinio $
 */
package csbase.client.project.action;

import java.awt.event.ActionEvent;

import tecgraf.javautils.LNG;

import csbase.client.project.ProjectDirectoryCreationDialog;
import csbase.client.project.ProjectFileContainer;

/**
 * Ao de criao de diretrios
 * 
 * @author Tecgraf/PUC-Rio
 */
public class CommonDirectoryCreationAction extends CommonProjectAction {

  /**
   * {@inheritDoc}
   */
  @Override
  public void actionPerformed(ActionEvent e) {
    ProjectDirectoryCreationDialog.show(getWindow(), getSelectedFile());
  }

  /**
   * {@inheritDoc}
   */
  @Override
  public String getName() {
    return LNG.get("PRJ_CREATE_DIR");
  }

  /**
   * Construtor
   * 
   * @param container o container de projetos
   */
  public CommonDirectoryCreationAction(ProjectFileContainer container) {
    super(container);
  }

}
