/*
 * Created on Jun 17, 2004
 */
package csbase.client.project.action;

import java.awt.event.ActionEvent;

import tecgraf.javautils.LNG;
import csbase.client.project.ProjectFileContainer;

/**
 * Ao que abre dilogo para "alterao de tipo" de arquivo da rvore de
 * projetos.
 * 
 * @author Tecgraf/PUC-Rio
 */
public class CommonFileTypeChangeAction extends CommonProjectAction {

  /**
   * @param container
   */
  public CommonFileTypeChangeAction(ProjectFileContainer container) {
    super(container);
  }

  /**
   * {@inheritDoc}
   */
  @Override
  public void actionPerformed(ActionEvent e) {
    FileTypeChangeDialog.show(getWindow(), getSelectedFile());
  }

  /**
   * {@inheritDoc}
   */
  @Override
  public String getName() {
    return LNG.get("PRJ_CHANGE_TYPE");
  }

}
