/*
 * Created on Jun 28, 2004
 */
package csbase.client.project.action;

import java.awt.event.ActionEvent;

import tecgraf.javautils.LNG;
import csbase.client.project.ProjectFileContainer;

/**
 * Ao que abre dilogo para "alterao de tipo" de vrios arquivos
 * selecionados da rvore de projetos.
 * 
 * @author Tecgraf/PUC-Rio
 */
public class CommonMultiSelectionFileTypeChangeAction extends
  CommonProjectAction {

  /**
   * Construtor.
   * 
   * @param container
   */
  public CommonMultiSelectionFileTypeChangeAction(ProjectFileContainer container) {
    super(container);
  }

  /**
   * {@inheritDoc}
   */
  @Override
  public void actionPerformed(ActionEvent e) {
    MultiSelectionFileTypeChangeDialog.show(getWindow(), getSelectedFiles());
  }

  /**
   * {@inheritDoc}
   */
  @Override
  public String getName() {
    return LNG.get("PRJ_CHANGE_TYPE");
  }
}
