package csbase.logic;

import java.io.Serializable;

public class ClientProjectFileInfo implements Serializable {
  private String type;
  private long size;
  private long modificationDate;
  private boolean isGlobalFile;
  private boolean isPublishedFile;
  private boolean isUnderConstruction;
  private Object whoPublishedId;
  private Object whichProjectPublishedId;
  /** Indica se o arquivo est bloqueado. */
  private boolean isLocked;

  public String getType() {
    return type;
  }
  public long getSize() {
    return size;
  }
  public long getModificationDate() {
    return modificationDate;
  }
  public boolean isGlobalFile() {
    return isGlobalFile;
  }
  public boolean isPublishedFile() {
    return isPublishedFile;
  }
  public boolean isUnderConstruction() {
    return isUnderConstruction;
  }
  public Object getWhoPublishedId() {
    return whoPublishedId;
  }
  public Object getWhichProjectPublishedId() {
    return whichProjectPublishedId;
  }
  public void setType(String newType) {
    type = newType;
  }
  public void setSize(long newSize) {
    size = newSize;
  }
  public void setModificationDate(long newModificationDate) {
    modificationDate = newModificationDate;
  }
  public void setGlobalFile(boolean newState) {
    isGlobalFile = newState;
  }
  public void setPublishedFile(boolean newState) {
    isPublishedFile = newState;
  }
  public void setUnderConstruction(boolean newState) {
    isUnderConstruction = newState;
  }
  public void setWhoPublishedId(Object newId) {
    whoPublishedId = newId;
  }
  public void setWhichProjectPublishedId(Object newId) {
    whichProjectPublishedId = newId;
  }

  /**
   * Indica se o arquivo est bloqueado
   * @return true se o arquivo estiver bloqueado
   */
  public boolean isLocked() {
    return isLocked;
  }

  public ClientProjectFileInfo(
    String type, long size, long modificationDate, boolean isGlobalFile,
    boolean isPublishedFile, boolean isUnderConstruction,
    Object whoPublishedId, Object whichProjectPublishedId,
    boolean isLocked) {
    this.type = type;
    this.size = size;
    this.modificationDate = modificationDate;
    this.isGlobalFile = isGlobalFile;
    this.isPublishedFile = isPublishedFile;
    this.isUnderConstruction = isUnderConstruction;
    this.whoPublishedId = whoPublishedId;
    this.whichProjectPublishedId = whichProjectPublishedId;
    this.isLocked = isLocked;
  }
}
