/*
 * TreeRefreshedEvent.java
 *
 * $author$
 * $Revision: 105206 $  - $Date: 2010-05-06 20:06:04 -0300 (Thu, 06 May 2010) $
 */
package csbase.logic;


/**
 * Representa o evento que indica que a rvore do projeto foi reconstruda.
 */
public class TreeChangedEvent extends ProjectEvent {
  private ProjectFile newTree;

  /**
   * Retorna a nova rvore do projeto.
   *
   * @return A nova rvore do projeto.
   */
  public ProjectFile getNewTree() {
    return newTree;
  }

  TreeChangedEvent(ProjectFile newTree) {
    event = TREE_CHANGED;
    this.newTree = newTree;
  }
}
