package csbase.logic.filetransferservice;

import csbase.server.services.filetransferservice.FileTransferService;

/**
 * Tipo de conexo do servio de transfercnia de arquivos.
 * 
 * @see FileTransferConnection
 * @see FileTransferService
 * @author Tecgraf/PUC-Rio
 */
public enum FileTransferProtocol {

  /**
   * FTP simples
   */
  FTP,

  /**
   * SFTP (secure FTP)
   */
  SFTP;
}
