package csbase.client.algorithms.parameters;

import csbase.client.kernel.ClientException;
import csbase.logic.algorithms.parameters.FileParameterMode;
import csbase.logic.algorithms.parameters.FileParameterPipeAcceptance;
import csbase.logic.algorithms.parameters.InputFileParameter;

public final class InputFileParameterViewTest {
  public static final void main(String[] args) throws ClientException {
    InputFileParameter inputFileParameter =
      new InputFileParameter("IN", "Arquivo de entrada",
        "Parmetro do tipo arquivo de entrada. Obrigatrio. Tipo texto.",
        false, "{0}{1}", "TEXT", FileParameterMode.REGULAR_FILE,
        FileParameterPipeAcceptance.TRUE);
    new ParameterViewTester(inputFileParameter).test();
  }
}
