package csbase.logic.algorithms.flows;

import junit.framework.TestCase;

public final class PointTest extends TestCase {

  public void testEqualsObject1() {
    int x = 10;
    int y = 20;
    Point point1 = new Point(x, y);
    Point point2 = new Point(x, y);
    assertTrue(point1.equals(point2));
  }

  public void testEqualsObject2() {
    int x1 = 10;
    int y1 = 20;
    Point point1 = new Point(x1, y1);
    int x2 = 100;
    int y2 = 200;
    Point point2 = new Point(x2, y2);
    assertFalse(point1.equals(point2));
  }

  public void testEqualsObject3() {
    int x = 10;
    int y1 = 20;
    Point point1 = new Point(x, y1);
    int y2 = 200;
    Point point2 = new Point(x, y2);
    assertFalse(point1.equals(point2));
  }

  public void testEqualsObject4() {
    int y = 20;
    int x1 = 10;
    Point point1 = new Point(x1, y);
    int x2 = 100;
    Point point2 = new Point(x2, y);
    assertFalse(point1.equals(point2));
  }

  public void testEqualsObject5() {
    int x1 = 10;
    int y1 = 20;
    Point point1 = new Point(x1, y1);
    assertFalse(point1.equals(null));
  }

  public void testEqualsObject6() {
    int x1 = 10;
    int y1 = 20;
    Point point1 = new Point(x1, y1);
    assertFalse(point1.equals("Objeto de outra classe"));
  }

  public void testHashCode1() {
    int x = 10;
    int y = 20;
    Point point1 = new Point(x, y);
    Point point2 = new Point(x, y);
    assertEquals(point1.hashCode(), point2.hashCode());
  }

  public void testPoint1() {
    int x = 10;
    int y = 20;
    Point point = new Point(x, y);
    assertEquals(x, point.getX());
    assertEquals(y, point.getY());
  }
}
