package csbase.logic.algorithms.parameters;

public final class MockFileParameter extends FileParameter {
  public MockFileParameter(String name, String label, String description,
    boolean isOptional, String commandLinePattern, String type,
    FileParameterMode mode, boolean isMultipleSelection,
    FileParameterPipeAcceptance canUsePipe, boolean mustSort) {
    super(name, label, description, isOptional, commandLinePattern, type, mode,
      canUsePipe);
  }

  @Override
  public String getType() {
    return "MOCK_FILE";
  }
}
