package csbase.util.callbak;

import java.rmi.RemoteException;
import java.rmi.server.UnicastRemoteObject;

/**
 * Classe abstrata utilizada para facilitar a criao de um callback remoto.
 *
 * @author Tecgraf
 * @param <T> Tipo do objeto entregue a esta callback.
 * @see IRemoteCallback
 */
public abstract class AbstractRemoteCallback<T> extends UnicastRemoteObject
  implements IRemoteCallback<T> {

  /**
   * Construtor.
   *
   * @throws RemoteException Erro de comunicao.
   */
  public AbstractRemoteCallback() throws RemoteException {
    super();
  }
}
