/**
 * Tecgraf Websintesi
 */
package csbase.util.parser.xml;


import java.text.MessageFormat;

import tecgraf.javautils.LNG;

/**
 * $Author: rodrigoh $ $Revision: 36184 $ - $Date: 2005-11-09 14:32:03 -0200 (Wed, 09 Nov 2005) $
 */
public class XmlParserException extends Exception {
  public XmlParserException(String key) {
    super(getMessage(key));
  }

  public XmlParserException(String key, Throwable cause) {
    super(getMessage(key), cause);
  }

  public XmlParserException(String key, Object[] params) {
    super(getMessage(key, params));
  }

  public XmlParserException(String key, Object[] params, Throwable cause) {
    super(getMessage(key, params), cause);
  }

  private static String getMessage(String key) {
    return LNG.get(key);
  }

  private static String getMessage(String key, Object[] params) {
    return MessageFormat.format(getMessage(key), params);
  }
}
