package csbase.client.applicationmanager;

/**
 * Stub nulo da classe equivalente no CSBASE
 * 
 * @author Tecgraf/PUC-Rio
 * @see Exception
 */
public class ApplicationException extends Exception {

  /**
   * Construtor
   * 
   * @param message mensagem
   * @param cause causa
   */
  public ApplicationException(String message, Throwable cause) {
    super(message, cause);
  }

  /**
   * Construtor
   * 
   * @param message mensagem
   */
  public ApplicationException(String message) {
    super(message);
  }

  /**
   * Construtor
   * 
   * @param cause causa.
   */
  public ApplicationException(Throwable cause) {
    super(cause);
  }
}
