package csbase.logic;

/**
 * Interface para estados de um arquivo.
 * 
 * @author Tecgraf/PUC-Rio
 */
public interface ProjectFile {
  /**
   * Estado: fechado.
   */
  public static final int CLOSED = 0;
  
  /**
   * Estado: aberto como canal
   */
  public static final int OPENED_AS_CHANNEL = 1;
  
  /**
   * Estado: aberto para leitura
   */
  public static final int OPENED_FOR_READING = 2;

  /**
   * Estado: aberto para escrita
   */
  public static final int OPENED_FOR_WRITING = 3;

}
