package csfs.client;

import org.omg.CORBA.ORB;

import csfs.remote.FileServer;
import csfs.remote.FileServerHelper;
import csfs.remote.RemoteFile;

public class TestClientSingleServerCopy {

  public static void main(String args[]) {

    try {
      ORB orb = ORB.init(args, null);

      String sourceHost = "flamengo";
      int sourcePort = 10000;

      String corbalocSource = "corbaloc::1.2@" + sourceHost + ":" + sourcePort
        + "/standardImplName/FileServerPOA/FileServer";
      org.omg.CORBA.Object sourceObj = orb.string_to_object(corbalocSource);
      FileServer sourceFileServer = FileServerHelper.narrow(sourceObj);

      String targetHost = "sepetiba";
      int targetPort = 10000;

      String corbalocTarget = "corbaloc::1.2@" + targetHost + ":" + targetPort
        + "/standardImplName/FileServerPOA/FileServer";
      org.omg.CORBA.Object targetObj = orb.string_to_object(corbalocTarget);
      FileServer targetFileServer = FileServerHelper.narrow(targetObj);

      long start;

      String file = "1GB";
      RemoteFile source = sourceFileServer.getRoot().getChild(
        new String[] { file });

      // Thread.sleep(5000);
      //			
      // System.out.println("GO!");
      //
      // sourceFileServer.setTransferMethod("PureFTPd");
      // targetFileServer.setTransferMethod("PureFTPd");
      // RemoteFile target6 = targetFileServer.getRoot().createFile(new String[]
      // { file + ".PureFTPd" });
      // start = System.currentTimeMillis();
      // source.copyTo(target6,"PureFTPd");
      // System.out.println("TEMPO "+sourceFileServer.getTransferMethod()+" :
      // "+(System.currentTimeMillis()-start));

      // sourceFileServer.setTransferMethod("JavaFTPd");
      // targetFileServer.setTransferMethod("JavaFTPd");
      // RemoteFile target7 = targetFileServer.getRoot().createFile(new String[]
      // { file + ".JavaFTPd" });
      // start = System.currentTimeMillis();
      // source.copyTo(target7);
      // System.out.println("TEMPO "+sourceFileServer.getTransferMethod()+" :
      // "+(System.currentTimeMillis()-start));
      //			

      // sourceFileServer.setTransferMethod("CORBA-4096");
      // targetFileServer.setTransferMethod("CORBA-4096");
      // RemoteFile target5 = targetFileServer.getRoot().createFile(new String[]
      // { file + ".CORBA.1MB" });
      // start = System.currentTimeMillis();
      // source.copyTo(target5);
      // System.out.println("TEMPO "+sourceFileServer.getTransferMethod()+" :
      // "+(System.currentTimeMillis()-start));
      //			
      // sourceFileServer.setTransferMethod("NON_BLOCKING_NIO");
      // targetFileServer.setTransferMethod("NON_BLOCKING_NIO");
      // RemoteFile target1 = targetFileServer.getRoot().createFile(new String[]
      // { file + ".NON_BLOCKING_NIO" });
      // start = System.currentTimeMillis();
      // source.copyTo(target1);
      // System.out.println("TEMPO "+sourceFileServer.getTransferMethod()+" :
      // "+(System.currentTimeMillis()-start));
      //
      // sourceFileServer.setTransferMethod("BLOCKING_NIO");
      // targetFileServer.setTransferMethod("BLOCKING_NIO");
      // RemoteFile target2 = targetFileServer.getRoot().createFile(new String[]
      // { file + ".BLOCKING_NIO"});
      // start = System.currentTimeMillis();
      // source.copyTo(target2);
      // System.out.println("TEMPO "+sourceFileServer.getTransferMethod()+" :
      // "+(System.currentTimeMillis()-start));
      //
      // sourceFileServer.setTransferMethod("STREAM_BLOCKING_NIO-1");
      // targetFileServer.setTransferMethod("STREAM_BLOCKING_NIO-1");
      // RemoteFile target3 = targetFileServer.getRoot().createFile(new String[]
      // { file + ".STREAM_BLOCKING_NIO.1"});
      // start = System.currentTimeMillis();
      // source.copyTo(target3);
      // System.out.println("TEMPO "+sourceFileServer.getTransferMethod()+" :
      // "+(System.currentTimeMillis()-start));
      //
      // sourceFileServer.setTransferMethod("STREAM_BLOCKING_NIO-10");
      // targetFileServer.setTransferMethod("STREAM_BLOCKING_NIO-10");
      // RemoteFile target4 = targetFileServer.getRoot().createFile(new String[]
      // { file + ".STREAM_BLOCKING_NIO.10"});
      // start = System.currentTimeMillis();
      // source.copyTo(target4);
      // System.out.println("TEMPO "+sourceFileServer.getTransferMethod()+" :
      // "+(System.currentTimeMillis()-start));

    }
    catch (Exception ex) {
      ex.printStackTrace();
    }

  }

}
