package csfs.impl.channel;

import csfs.remote.WriteChannelPOA;
import csfs.remote.InvalidStateException;
import csfs.remote.ClosedChannelException;
import csfs.remote.ServerException;
import csfs.remote.RemoteFile;

public class NullWriteChannelDefaultServantImpl extends WriteChannelPOA {

  public NullWriteChannelDefaultServantImpl() {

  }

  public int write(int size, byte[] buffer) throws InvalidStateException,
    ClosedChannelException, ServerException {
    // ignora os bytes recebidos
    return size;
  }

  public boolean isOpen() throws InvalidStateException, ServerException {
    // o canal esta sempre aberto
    return true;
  }

  public RemoteFile getFile() throws InvalidStateException, ServerException {
    throw new InvalidStateException();
  }

  public void close() throws InvalidStateException, ServerException {
  }

}
