package csfs.impl.util;

import java.util.Properties;

public class SystemProperties {

  private static Properties prop;

  static {
    Object obj = new Object();
    prop = new Properties();
    try {
      prop.load(obj.getClass().getResourceAsStream("/fileserver.properties"));
    }
    catch (Exception ex) {
      ex.printStackTrace();
      System.exit(-1);
    }
  }

  public static String getProperty(String property) {
    return prop.getProperty(property);
  }

  public static int getIntProperty(String property) {
    int response = 0;
    String str = getProperty(property);
    if (str != null) {
      response = Integer.parseInt(str);
    }
    return response;
  }

  public static void setProperty(String key, String value) {
    prop.setProperty(key, value);
  }

}
